GreatWksDBParserInternal::Field Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
GreatWksDBParserInternal::Field Struct Reference

a field of a GreatWksDBParser More...

## Public Types
enum | Type { F_Unknown, F_Text, F_Number, F_Date, F_Time, F_Memo, F_Picture, F_Formula, F_Summary }
| the file type More...

## Public Member Functions
| Field ()
| constructor More...
bool | updateCell (int row, int numRow, Cell &cell) const
| update the cell to correspond to the final data More...

## Public Attributes
Type | m_type
| the field type More...
int | m_id
| the field id More...
std::string | m_name
| the field name More...
MWAWCell::Format | m_format
| the field format More...
long | m_linkZone
| the file position which stores the position link to record zone More...
BlockHeader | m_recordBlock
| the block file position which stores the position of the field's record More...
std::vector< MWAWCellContent::FormulaInstruction > | m_formula
| the formula More...
int | m_summaryType
| the summary type: 1:average, 2:count, 3:total, 4:minimum, 5:maximum More...
int | m_summaryField
| the summary field More...
bool | m_isSequence
| true if the number is a sequence More...
int | m_firstNumber
| the first number (in case of progression sequence) More...
int | m_incrementNumber
| the increment number (in case of progression sequence) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Detailed Description

a field of a GreatWksDBParser

## Member Enumeration Documentation

enum GreatWksDBParserInternal::Field::Type

the file type

Enumerator
F_Unknown |
F_Text |
F_Number |
F_Date |
F_Time |
F_Memo |
F_Picture |
F_Formula |
F_Summary |

## Constructor & Destructor Documentation

GreatWksDBParserInternal::Field::Field | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool GreatWksDBParserInternal::Field::updateCell | ( | int | row,
|  | int | numRow,
|  | Cell & | cell
| ) |  | const

update the cell to correspond to the final data

Referenced by GreatWksDBParser::sendDatabase().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string GreatWksDBParserInternal::Field::m_extra

extra data

Referenced by GreatWksDBParserInternal::operator<<(), and GreatWksDBParser::readField().

int GreatWksDBParserInternal::Field::m_firstNumber

the first number (in case of progression sequence)

Referenced by GreatWksDBParser::readFieldAuxis(), and updateCell().

MWAWCell::Format GreatWksDBParserInternal::Field::m_format

the field format

Referenced by GreatWksDBParser::readField(), GreatWksDBParser::readFieldRecords(), and GreatWksDBParser::readRowRecords().

std::vector<MWAWCellContent::FormulaInstruction> GreatWksDBParserInternal::Field::m_formula

the formula

Referenced by GreatWksDBParser::readFields(), and updateCell().

int GreatWksDBParserInternal::Field::m_id

the field id

Referenced by GreatWksDBParserInternal::operator<<(), GreatWksDBParser::readField(), GreatWksDBParser::readFieldLinks(), GreatWksDBParser::readFieldRecords(), and GreatWksDBParser::readRowRecords().

int GreatWksDBParserInternal::Field::m_incrementNumber

the increment number (in case of progression sequence)

Referenced by GreatWksDBParser::readFieldAuxis(), and updateCell().

bool GreatWksDBParserInternal::Field::m_isSequence

true if the number is a sequence

Referenced by GreatWksDBParser::readFieldAuxis(), and updateCell().

long GreatWksDBParserInternal::Field::m_linkZone

the file position which stores the position link to record zone

Referenced by GreatWksDBParserInternal::operator<<(), GreatWksDBParser::readField(), and GreatWksDBParser::readFieldLinks().

std::string GreatWksDBParserInternal::Field::m_name

the field name

Referenced by GreatWksDBParserInternal::operator<<(), and GreatWksDBParser::readField().

BlockHeader GreatWksDBParserInternal::Field::m_recordBlock

the block file position which stores the position of the field's record

Referenced by GreatWksDBParserInternal::operator<<(), GreatWksDBParser::readFieldLinks(), and GreatWksDBParser::readFieldRecords().

int GreatWksDBParserInternal::Field::m_summaryField

the summary field

Referenced by GreatWksDBParser::readFields(), and updateCell().

int GreatWksDBParserInternal::Field::m_summaryType

the summary type: 1:average, 2:count, 3:total, 4:minimum, 5:maximum

Referenced by GreatWksDBParser::readFields(), and updateCell().

Type GreatWksDBParserInternal::Field::m_type

the field type

Referenced by GreatWksDBParserInternal::operator<<(), GreatWksDBParser::readField(), GreatWksDBParser::readFieldRecords(), GreatWksDBParser::readFields(), GreatWksDBParser::readRowRecords(), GreatWksDBParser::sendDatabase(), and updateCell().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx